/**
 * An options object to update and start the server.
 */
export interface Options {
    browserDrivers?: BrowserDriver[];
    server?: Server;
    proxy?: string;
    ignoreSSL?: boolean;
    outDir?: string;
    githubToken?: string;
}
export declare type BrowserDriverName = 'chromedriver' | 'geckodriver' | 'iedriver' | 'chromium';
/**
 * Contains information about a browser driver.
 */
export interface BrowserDriver {
    name?: BrowserDriverName;
    version?: string;
    maxVersion?: string;
}
/**
 * Contains information about the selenium server standalone. This includes
 * options to start the server along with options to send to the server.
 */
export interface Server {
    name?: 'selenium';
    version?: string;
    maxVersion?: string;
    runAsNode?: boolean;
    chromeLogs?: string;
    edge?: string;
    runAsDetach?: boolean;
    port?: number;
    logLevel?: string;
}
